#pragma once

#include <Zeichnung.h>
#include <Array.h>

#include "ChatMessage.h"

class ChatHistory : public Framework::ZeichnungHintergrund
{
private:
    Framework::RCArray<ChatMessage> messages;
    bool scrollToBottom;

public:
    ChatHistory();

    void addMessage(ChatMessage* message);
    void render(Framework::Bild& rObj) override;
    bool tick(double tickVal) override;
};